package ink.wgink.common.startup;

import ink.wgink.interfaces.init.IInitBaseTable;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: CommonStartup
 * @Description: 启动
 * @Author: WangGeng
 * @Date: 2021/6/14 22:14
 * @Version: 1.0
 **/
@Component
public class CommonStartup implements ApplicationRunner {

    @Autowired
    private ApplicationContext applicationContext;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        Map<String, IInitBaseTable> initBaseTableMap = applicationContext.getBeansOfType(IInitBaseTable.class);
        for (Map.Entry<String, IInitBaseTable> kv : initBaseTableMap.entrySet()) {
            kv.getValue().createTable();
        }
    }
}
